<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_eigen_Matrix_to_mat&lt; T, _Rows, _Cols &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__eigen___matrix__to__mat.html">op_eigen_Matrix_to_mat</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__eigen___matrix__to__mat-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_eigen_Matrix_to_mat&lt; T, _Rows, _Cols &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::op_eigen_Matrix_to_mat&lt; T, _Rows, _Cols &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1op__eigen___matrix__to__mat.png" usemap="#dlib::op_5Feigen_5FMatrix_5Fto_5Fmat_3C_20T_2C_20_5FRows_2C_20_5FCols_20_3E_map" alt=""/>
  <map id="dlib::op_5Feigen_5FMatrix_5Fto_5Fmat_3C_20T_2C_20_5FRows_2C_20_5FCols_20_3E_map" name="dlib::op_5Feigen_5FMatrix_5Fto_5Fmat_3C_20T_2C_20_5FRows_2C_20_5FCols_20_3E_map">
<area href="structdlib_1_1does__not__alias.html" alt="dlib::does_not_alias" shape="rect" coords="0,0,293,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a2452c74077ddc12d5474489d3632ad8f"><td class="memItemLeft" align="right" valign="top"><a id="a2452c74077ddc12d5474489d3632ad8f"></a>
typedef T::Scalar&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a2452c74077ddc12d5474489d3632ad8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca47c03defe6d27d07801f22f0bae922"><td class="memItemLeft" align="right" valign="top"><a id="aca47c03defe6d27d07801f22f0bae922"></a>
typedef T::Scalar&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:aca47c03defe6d27d07801f22f0bae922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46691fa0d111839aa36d1a6e4d0f41a8"><td class="memItemLeft" align="right" valign="top"><a id="a46691fa0d111839aa36d1a6e4d0f41a8"></a>
typedef <a class="el" href="namespacedlib.html#ae8aaef18fce6452263f46535116308ca">default_memory_manager</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a46691fa0d111839aa36d1a6e4d0f41a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0db030ee8065a4b523ea1e529726cbf"><td class="memItemLeft" align="right" valign="top"><a id="aa0db030ee8065a4b523ea1e529726cbf"></a>
typedef <a class="el" href="structdlib_1_1row__major__layout.html">row_major_layout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:aa0db030ee8065a4b523ea1e529726cbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad0b0ad611de337075a2bf0b8d2cc1c8d"><td class="memItemLeft" align="right" valign="top"><a id="ad0b0ad611de337075a2bf0b8d2cc1c8d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_eigen_Matrix_to_mat</b> (const T &amp;array_)</td></tr>
<tr class="separator:ad0b0ad611de337075a2bf0b8d2cc1c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaed213ca45cabfebc6979a9c60b3af96"><td class="memItemLeft" align="right" valign="top"><a id="aaed213ca45cabfebc6979a9c60b3af96"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:aaed213ca45cabfebc6979a9c60b3af96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee2d8fb4162bf9ab3b499dd826add398"><td class="memItemLeft" align="right" valign="top"><a id="aee2d8fb4162bf9ab3b499dd826add398"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:aee2d8fb4162bf9ab3b499dd826add398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360fce2fa3ff921d6b37ef4cc98d80c4"><td class="memItemLeft" align="right" valign="top"><a id="a360fce2fa3ff921d6b37ef4cc98d80c4"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:a360fce2fa3ff921d6b37ef4cc98d80c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structdlib_1_1does__not__alias"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structdlib_1_1does__not__alias')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structdlib_1_1does__not__alias.html">dlib::does_not_alias</a></td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structdlib_1_1does__not__alias.html#aceed084a5442b7259165b87b4bc45f10">aliases</a> (const U &amp;) const</td></tr>
<tr class="separator:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2"><a id="aaf83f81e0880ddf9c5d97b76d5b2a17e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const U &amp;) const</td></tr>
<tr class="separator:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af18626fea8d217945df5fa27d3b5ce3b"><td class="memItemLeft" align="right" valign="top"><a id="af18626fea8d217945df5fa27d3b5ce3b"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:af18626fea8d217945df5fa27d3b5ce3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ab640ab5e7a05ccf755b6e377f9ea8bff"><td class="memItemLeft" align="right" valign="top"><a id="ab640ab5e7a05ccf755b6e377f9ea8bff"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = 1</td></tr>
<tr class="separator:ab640ab5e7a05ccf755b6e377f9ea8bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebc420b2e2cfda546e286484d0423020"><td class="memItemLeft" align="right" valign="top"><a id="aebc420b2e2cfda546e286484d0423020"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = (_Rows &gt; 0) ? _Rows : 0</td></tr>
<tr class="separator:aebc420b2e2cfda546e286484d0423020"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97fec2ec72be3504508e4f13122fb49c"><td class="memItemLeft" align="right" valign="top"><a id="a97fec2ec72be3504508e4f13122fb49c"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = (_Cols &gt; 0) ? _Cols : 0</td></tr>
<tr class="separator:a97fec2ec72be3504508e4f13122fb49c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__mat_8h_source.html">matrix_mat.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
